DBXTOOL(1)

NAME
dbxtool - SunView interface for the dbx source-level debugger

SYNOPSIS
dbxtool [ -d ] [ -i ] [ -k ] [ -kbd ] [ -I directory ] [ objectfile [ corefile ] ]

AVAILABILITY

This command is available with the Debugging software installation option. Refer to for information on how to install optional software.

DESCRIPTION

dbxtool, a source-level debugger for C, Pascal and FORTRAN 77 programs, is a standard tool that runs within the SunView environment. It accepts the same commands as dbx, but provides a more convenient user interface.

You can use the mouse to set breakpoints, examine the values of variables, control execution, peruse source files, and so on. dbxtool has separate subwindows for viewing source code, entering commands and other uses.

objectfile is an object file produced by cc(1V), any other Sun compiler, (or a combination of them) with the appropriate flag (-g) specified to produce symbol information in the object file. IMPORTANT: every stage of the compilation process, including the linking phase, must include the -g option. If no objectfile is specified, you can use the debug command to specify the program to be debugged. The object file contains a symbol table which includes the names of all the source files translated by the compiler to create it. These files are available for perusal while using the debugger.

If a file named core exists in the current directory or a corefile is specified, dbxtool can be used to examine the state of the program when it faulted.

Debugger commands in the file .dbxinit are executed immediately after the symbolic information is read, if that file exists in the current directory, or in the user's home directory if .dbxinit does not exist in the current directory.

OPTIONS

-d  Produce debugging information for the pipeline from which it reads dbx(1) output.

-i  Force dbxtool to act as though standard input were a terminal.

-k  Kernel debugging.

-kbd
    Debugs a program that sets the keyboard into up/down translation mode. This flag is necessary if you are debugging a program that uses up/down encoding.

-I directory
    Add directory to the list of directories that are searched when looking for a source file. Normally dbxtool looks for source files in the current directory and then in the directory where objectfile is located. The directory search path can also be set with the use command. Multiple -I options may be given.

USAGE

Refer to dbx(1) for a summary of dbx commands, or for more complete information on using dbxtool.

FILES
core
    default core file
.dbxinit
    local dbx initialization file
~/.dbxinit
    user's dbx initialization file

SEE ALSO
cc(1V), dbx(1)

BUGS
The bugs for dbx(1) apply to dbxtool as well.
The interaction between scrolling in the source subwindow and dbx's regular expression search commands is wrong. Scrolling should affect where the next search begins, but it does not.